#ifdef VHDL

/*
 * $Id: Vhdl_set_library_default.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"
#include "Common/include/Tabulation.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::set_library_default"
  void Vhdl::set_library_default (void)
  {
    log_begin(Behavioural,FUNCTION);
    
    set_library("ieee","numeric_bit"       ,"all");
    set_library("ieee","numeric_std"       ,"all");
    set_library("ieee","std_logic_1164"    ,"all");
    set_library("ieee","std_logic_arith"   ,"all");
    set_library("ieee","std_logic_misc"    ,"all");
//  set_library("ieee","std_logic_signed"  ,"all");
    set_library("ieee","std_logic_unsigned","all");
//  set_library("ieee","std_logic_textio"  ,"all");
      
    log_end(Behavioural,FUNCTION);
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
